Loading...
Searching...
No Matches
ResidualDigraph< DGR, CM, FM, TL >::ResidualCapacity Class Reference

## Detailed Description

template<typename DGR, typename CM, typename FM, typename TL>
class lemon::ResidualDigraph< DGR, CM, FM, TL >::ResidualCapacity

This map adaptor class can be used for obtaining the residual capacities as an arc map of the residual digraph. Its value type is inherited from the capacity map.

`#include <lemon/adaptors.h>`

## Public Types

typedef Arc | Key
| The key type of the map.
typedef CapacityMap::Value | Value
| The value type of the map.

## Public Member Functions

| ResidualCapacity (const ResidualDigraph< DGR, CM, FM, TL > &adaptor)
| Constructor.
Value | operator[] (const Arc &a) const
| Returns the value associated with the given residual arc.